%define gstapi	1.0

Name:		audio-recorder
Version:	2.0.2
Release:	%mkrel 2
Summary:	Audio recorder application
License:	GPLv3+
Group:		Sound
URL:		https://launchpad.net/audio-recorder
#Source0:	https://launchpad.net/~audio-recorder/+archive/ubuntu/ppa/+files/audio-recorder_2.0.2~artful.tar.gz
Source0:	https://launchpad.net/%{name}/trunk/version%{version}/+download/%{name}_%{version}.tar.xz
Patch0:		audio-recorder-desktop-menu.patch
#----------------------------------------------------
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64dbus-1-devel
BuildRequires: lib64dbus-glib-1_2-devel
BuildRequires: lib64appindicator3-devel
BuildRequires: lib64dconf-devel
BuildRequires: lib64gstreamer1.0-devel
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64gstreamer-plugins-base1.0-devel
#----------------------------------------------------
Requires: gstreamer1.0-plugins-bad
Requires: gstreamer1.0-plugins-base
Requires: gstreamer1.0-plugins-good
Requires: gstreamer1.0-plugins-ugly

%description
This amazing program allows you to record your favourite music or audio to a file. 
It can record audio from your system's soundcard, microphones, browsers, webcams & more. 
Put simply: if it plays out of your loudspeakers you can record it. 

It has an advanced timer that can:
* Start, stop or pause recording at a given clock time.
* Start, stop or pause after a time period.
* Stop when the recorded file size exceeds a limit.
* Start recording on voice or sound (user can set the audio threshold and delay).
* Stop or pause recording on "silence" (user can set the audio threshold and delay).

The recording can be atomatically controlled by:
* RhytmBox audio player.
* Banshee audio player.
* Amarok, VLC, Audacious and other MPRIS2 compatible players.
* Skype. It can automatically record all your Skype calls without any user interaction.

This program supports several audio (output) formats such as OGG audio, Flac, MP3 and WAV. 

User can also control the recorder from command line with --command <arg> option.
See audio-recorder --help for more information.

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/*/%{name}*.svg
%{_datadir}/glib-2.0/schemas/org.gnome.audio-recorder.gschema.xml
%{_mandir}/man1/%{name}.1.*


%changelog
* Fri Jan 12 2018 bb2 <bb2> - 2.0.2-2pclos2018
- clean up specfile

* Mon Jan 08 2018 Zen Subz <techars21 at gmail dot com> - 2.0.2-1pclos2018
- Updated build for PCLinuxOS
